Recommend Patches for Image Version

get

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/{goldImageId}/versions/{versionId}/patchRecommendations

Compares the patches included in the specified version of the image against Oracle recommendations and provides a list of patches to be included into the next version.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Ok. Image version patch recommendations is retrieved.
Body ()
Root Schema : VersionPatchRecommendationCollection
Type: object
Response of Patch recommendation for Database Gold Image Version
Show Source
Nested Schema : messages
Type: object
Message additional information about how to get and to use the recommended patches
Show Source
  • Gives the information about how to create the new version of image from the recommended patches
    Example: To create a new version of the image with the recommended patches see: https://www.oracle.com/pls/topic/lookup?ctx=en/enterprise-manager&id=EMLCM-GUID-431C8AE4-774B-4DD8-89A5-A6A30B071740.
  • Gives the information about how to get/upload the recommended patches in EM
    Example: To upload recommended patches in EM use the following command: emcli upload_patches -from_host=host_name -patch_files=metadata_file_path;ZIP_file_path [-cred_name=name -cred_owner=owner]. In online connection mode, the patches can be directly downloaded to EM as well.
Nested Schema : oracleRecommendedPatches
Type: object
Oracle recommended patch details
Match All
Oracle recommended patch details
Show Source
Nested Schema : PatchRecommendationDetail
Type: object
Patch details
Show Source
Nested Schema : items
Type: array
Array of patches
Show Source
Nested Schema : items
Type: object
Match All
Show Source
Nested Schema : PatchRecommendationSummary
Type: object
Recommended patches for Database Gold Image Version
Show Source
Nested Schema : bugs
Type: array
List of bugs
Show Source
  • Example: 26716835,28209601,28777073,29224710,29254623,29415774,29445548,29512125,29540327,29540831,29774362,29942275,30134746,30160625,30534662,30674373,30855101,30889443,30895577,31247838,31306261,31311732,31359215,31494420,31668872,31727233,31776121,31844357,32032733,32069696,32124570,32165759,32167592,32523206,32892883,33184467,33223248,33563137,33805155,33872610,34149263
Examples

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

401 Response

Client is not authenticated
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

404 Response

Resource not found or not authorized for access
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

503 Response

Indicates that a required service is not available
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source
Back to Top